@echo off 
echo Normalised water leaving radiance measured at a given wavelength (in nm) by the MERIS sensor
echo Output maps of surface upwelling spectral radiance in air emerging from sea water
echo units: mW cm^-2 um^-1 sr^-1

set longfilename=%1
set shortfilename1=%longfilename:~0,12%
set InputDrive=%2
set InputDir=%3
set OutputDrive=%4
set OutputDir=%5
set gdalDir=%6
set IlwDir=%7
set UtilDir=%8

cd\
%OutputDrive%
cd %OutputDir%

echo *%outputDrive%\%OutputDir%*

copy %inputDrive%\%InputDir%\PML_meris_Ghana_%shortfilename1%00.nc.gz %OutputDrive%\%OutputDir%\*.*

%UtilDir%\7z e PML_meris_Ghana_%shortfilename1%00.nc.gz

"%GdalDir%\gdal_translate.exe" -of ilwis NETCDF:"PML_meris_Ghana_%shortfilename1%00.nc":nLw_490 %OutputDrive%\%OutputDir%\PML_MERIS_Ghana_%shortfilename1%_nLw_490.mpr
"%GdalDir%\gdal_translate.exe" -of ilwis NETCDF:"PML_meris_Ghana_%shortfilename1%00.nc":nLw_510 %OutputDrive%\%OutputDir%\PML_MERIS_Ghana_%shortfilename1%_nLw_510.mpr
"%GdalDir%\gdal_translate.exe" -of ilwis NETCDF:"PML_meris_Ghana_%shortfilename1%00.nc":nLw_560 %OutputDrive%\%OutputDir%\PML_MERIS_Ghana_%shortfilename1%_nLw_560.mpr
"%GdalDir%\gdal_translate.exe" -of ilwis NETCDF:"PML_meris_Ghana_%shortfilename1%00.nc":nLw_619 %OutputDrive%\%OutputDir%\PML_MERIS_Ghana_%shortfilename1%_nLw_619.mpr

"%IlwDir%\ilwis.exe" -C setgrf %OutputDrive%\%OutputDir%\PML_MERIS_Ghana_%shortfilename1%_nLw_490.mpr %UtilDir%\pml_meris_ghana.grf;
"%IlwDir%\ilwis.exe" -C setgrf %OutputDrive%\%OutputDir%\PML_MERIS_Ghana_%shortfilename1%_nLw_510.mpr %UtilDir%\pml_meris_ghana.grf;
"%IlwDir%\ilwis.exe" -C setgrf %OutputDrive%\%OutputDir%\PML_MERIS_Ghana_%shortfilename1%_nLw_560.mpr %UtilDir%\pml_meris_ghana.grf;
"%IlwDir%\ilwis.exe" -C setgrf %OutputDrive%\%OutputDir%\PML_MERIS_Ghana_%shortfilename1%_nLw_619.mpr %UtilDir%\pml_meris_ghana.grf;

del PML_MERIS_Ghana_%shortfilename1%_nLw_490.grf
del PML_MERIS_Ghana_%shortfilename1%_nLw_510.grf
del PML_MERIS_Ghana_%shortfilename1%_nLw_560.grf
del PML_MERIS_Ghana_%shortfilename1%_nLw_619.grf
del PML_meris_Ghana_%shortfilename1%00.nc.gz
del PML_meris_Ghana_%shortfilename1%00.nc
del PML_MERIS_Ghana_%shortfilename1%_nLw_490.mpr.aux.xml
del PML_MERIS_Ghana_%shortfilename1%_nLw_510.mpr.aux.xml
del PML_MERIS_Ghana_%shortfilename1%_nLw_560.mpr.aux.xml
del PML_MERIS_Ghana_%shortfilename1%_nLw_619.mpr.aux.xml
