@echo off 
echo Surface layer chlorophyll-a concentration in seawater inferred from the MERIS sensor 
echo using a neural network approach to retrieve all case 1 and 2 water properties
echo mass concentration of chlorophyll in sea water
echo units: mg m^-3


set longfilename=%1
set shortfilename1=%longfilename:~0,12%
set InputDrive=%2
set InputDir=%3
set OutputDrive=%4
set OutputDir=%5
set gdalDir=%6
set IlwDir=%7
set UtilDir=%8

cd\
%OutputDrive%
cd %OutputDir%

echo *%outputDrive%\%OutputDir%*

copy %inputDrive%\%InputDir%\PML_meris_Mauritania_%shortfilename1%00.nc.gz %OutputDrive%\%OutputDir%\*.*

%UtilDir%\7z e PML_meris_Mauritania_%shortfilename1%00.nc.gz

"%GdalDir%\gdal_translate.exe" -of ilwis NETCDF:"PML_meris_Mauritania_%shortfilename1%00.nc":algal_1 %OutputDrive%\%OutputDir%\PML_MERIS_Mauritania_%shortfilename1%_algal_1.mpr
"%GdalDir%\gdal_translate.exe" -of ilwis NETCDF:"PML_meris_Mauritania_%shortfilename1%00.nc":algal_2 %OutputDrive%\%OutputDir%\PML_MERIS_Mauritania_%shortfilename1%_algal_2.mpr

"%IlwDir%\ilwis.exe" -C setgrf %OutputDrive%\%OutputDir%\PML_MERIS_Mauritania_%shortfilename1%_algal_1.mpr %UtilDir%\pml_meris_Mauritania.grf;
"%IlwDir%\ilwis.exe" -C setgrf %OutputDrive%\%OutputDir%\PML_MERIS_Mauritania_%shortfilename1%_algal_2.mpr %UtilDir%\pml_meris_Mauritania.grf;

del PML_MERIS_Mauritania_%shortfilename1%_algal_1.grf
del PML_MERIS_Mauritania_%shortfilename1%_algal_2.grf
del PML_meris_Mauritania_%shortfilename1%00.nc.gz
del PML_meris_Mauritania_%shortfilename1%00.nc
del PML_MERIS_Mauritania_%shortfilename1%_algal_1.mpr.aux.xml
del PML_MERIS_Mauritania_%shortfilename1%_algal_2.mpr.aux.xml
