@echo off 
echo Normalised water leaving radiance measured at a given wavelength (in nm) by the MODIS sensor
echo Output maps of surface upwelling spectral radiance in air emerging from sea water
echo units: mW cm^-2 um^-1 sr^-1



set longfilename=%1
set shortfilename1=%longfilename:~0,12%
set InputDrive=%2
set InputDir=%3
set OutputDrive=%4
set OutputDir=%5
set gdalDir=%6
set IlwDir=%7
set UtilDir=%8

cd\
%OutputDrive%
cd %OutputDir%

echo *%outputDrive%\%OutputDir%*

copy %inputDrive%\%InputDir%\PML_modis_Ghana_%shortfilename1%00.nc.gz %OutputDrive%\%OutputDir%\*.*

%UtilDir%\7z e PML_modis_Ghana_%shortfilename1%00.nc.gz

"%GdalDir%\gdal_translate.exe" -of ilwis NETCDF:"PML_modis_Ghana_%shortfilename1%00.nc":nLw_551 %OutputDrive%\%OutputDir%\PML_MODIS_Ghana_%shortfilename1%_nLw_551.mpr
"%GdalDir%\gdal_translate.exe" -of ilwis NETCDF:"PML_modis_Ghana_%shortfilename1%00.nc":nLw_667 %OutputDrive%\%OutputDir%\PML_MODIS_Ghana_%shortfilename1%_nLw_667.mpr

"%IlwDir%\ilwis.exe" -C setgrf %OutputDrive%\%OutputDir%\PML_MODIS_Ghana_%shortfilename1%_nLw_551.mpr %UtilDir%\pml_modis_Ghana.grf;
"%IlwDir%\ilwis.exe" -C setgrf %OutputDrive%\%OutputDir%\PML_MODIS_Ghana_%shortfilename1%_nLw_667.mpr %UtilDir%\pml_modis_Ghana.grf;

del PML_MODIS_Ghana_%shortfilename1%_nLw_551.grf
del PML_MODIS_Ghana_%shortfilename1%_nLw_667.grf
del PML_MODIS_Ghana_%shortfilename1%00.nc.gz
del PML_MODIS_Ghana_%shortfilename1%00.nc
del PML_MODIS_Ghana_%shortfilename1%_nLw_551.mpr.aux.xml
del PML_MODIS_Ghana_%shortfilename1%_nLw_667.mpr.aux.xml
