@echo off

set longfilename=%1
rem: shorfilename1=yyyymmdd
set shortfilename1=%longfilename:~0,8%

rem: shorfilename2=hhmm
set shortfilename2=%longfilename:~8,4%


set InputDrive=%2
set InputDir=%3
set OutputDrive=%4
set OutputDir=%5
set gdalDir=%6
set IlwDir=%7
set UtilDir=%8

set orbitnumber=%9

cd\
cd\
%OutputDrive%
cd %OutputDir%

echo *%OutputDrive%\%OutputDir%*

echo Ascat ocean vector winds
echo Wind speed at 10 meters (m s-1)
echo Wind direction at 10 meters (degree from true north)

copy %InputDrive%\%InputDir%\"ascat_%shortfilename1%_%shortfilename2%??_metopa_%9_eps_o_125_ovw.l2_bufr" %OutputDrive%\%OutputDir%\*.*
ren ascat_%shortfilename1%_%shortfilename2%??_metopa_%9_eps_o_125_ovw.l2_bufr ovw%shortfilename1%%shortfilename2%

set VBUFR_TABLE_DIR=%UtilDir%\tables
set VBUFR_DATA_DIR=%OutputDrive%\%OutputDir%

rem: import GII bufr file (x,y,windspeed, winddirection)

call %UtilDir%\bufrtool.exe pick ovw%shortfilename1%%shortfilename2% 6001 5001 11012 11011 > %OutputDrive%\%OutputDir%\ovw%shortfilename1%%shortfilename2%_org.txt

call %UtilDir%\deletelines.exe %OutputDrive%\%OutputDir%\ovw%shortfilename1%%shortfilename2%_org.txt %OutputDrive%\%OutputDir%\ovw%shortfilename1%%shortfilename2%imp.txt 9


copy %UtilDir%\ovw.dom ovw%shortfilename1%%shortfilename2%.dom
"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\ovw%shortfilename1%%shortfilename2%.tbt:=table(%OutputDrive%\%OutputDir%\ovw%shortfilename1%%shortfilename2%imp.txt,Space,Convert,none,ID(%OutputDrive%\%OutputDir%\ovw%shortfilename1%%shortfilename2%.dom{id}),X(value.dom{-180:180:0.00001}),Y(value.dom{-90:90:0.00001}),windspeed(value.dom{0:100:0.001}),wind_dir(value.dom{0:400:0.01}));
"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\ovw%shortfilename1%%shortfilename2%.mpp:=PointMapFromTable(%OutputDrive%\%OutputDir%\ovw%shortfilename1%%shortfilename2%,LatlonWGS84,pnt);

del ovw%shortfilename1%%shortfilename2%_org.txt
del ovw%shortfilename1%%shortfilename2%
del ovw%shortfilename1%%shortfilename2%imp.txt