@echo off
echo file name convention: ascat_20100312_082400_metopa_17611_eps_o_125_ssm.l2_bufr
echo note orbit number as %9

set longfilename=%1
rem: shorfilename1=yyyymmdd
set shortfilename1=%longfilename:~0,8%
echo shortfilename1
rem: shorfilename2=hhmm
set shortfilename2=%longfilename:~8,4%
echo shortfilename2

set InputDrive=%2
set InputDir=%3
set OutputDrive=%4
set OutputDir=%5
set gdalDir=%6
set IlwDir=%7
set UtilDir=%8

set orbitnumber=%9

cd\
cd\
%OutputDrive%
cd %OutputDir%

echo *%OutputDrive%\%OutputDir%*


rem: Ascat surface soil moisture
rem: in top 5 cm of soil
rem: output point map is estimate of water saturation from 0-100%

copy %InputDrive%\%InputDir%\ascat_%shortfilename1%_%shortfilename2%??_metopa_%9_eps_o_125_ssm.l2_bufr %OutputDrive%\%OutputDir%\*.*
ren ascat_%shortfilename1%_%shortfilename2%??_metopa_%9_eps_o_125_ssm.l2_bufr ssm%shortfilename1%%shortfilename2%

set VBUFR_TABLE_DIR=%UtilDir%\tables
set VBUFR_DATA_DIR=%OutputDrive%\%OutputDir%

call %UtilDir%\bufrtool.exe pick ssm%shortfilename1%%shortfilename2% 6001 5001 40001 40002 40003 40007 > %OutputDrive%\%OutputDir%\ssm%shortfilename1%%shortfilename2%_org.txt

call %UtilDir%\deletelines.exe %OutputDrive%\%OutputDir%\ssm%shortfilename1%%shortfilename2%_org.txt %OutputDrive%\%OutputDir%\ssm%shortfilename1%%shortfilename2%imp.txt 9

copy %UtilDir%\asc.dm# 
copy %UtilDir%\asc.dom asc%shortfilename1%%shortfilename2%.dom
"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\ssm%shortfilename1%%shortfilename2%.tbt:=table(%OutputDrive%\%OutputDir%\ssm%shortfilename1%%shortfilename2%imp.txt,Space,Convert,none,ID(%OutputDrive%\%OutputDir%\asc%shortfilename1%%shortfilename2%.dom{id}),X(value.dom{-180:180:0.00001}),Y(value.dom{-90:90:0.00001}),SM_perc(value.dom{0:100:0.01}),Error_perc(value.dom{0:100:0.01}),Mean_SM(value.dom{0:100:0.0001}),Quality(value.dom{0:100:1}));
"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\ssm%shortfilename1%%shortfilename2%_smperc.mpp:=PointMapFromTable(%OutputDrive%\%OutputDir%\ssm%shortfilename1%%shortfilename2%,LatlonWGS84,SM_perc);


del ssm%shortfilename1%%shortfilename2%_org.txt
del ssm%shortfilename1%%shortfilename2%
del ssm%shortfilename1%%shortfilename2%imp.txt