rem // Create a global Thermal Infrared composite from LRIT images from Geonetcast

rem // using Goes11, Goes 12, MSG, Met7 and MTSAT1R (channel 107, 108 or 115 in byte)


rem // datetime (yyyymmddhh) as %1




@echo off 

set longfilename=%1
set shortfilename1=%longfilename:~0,10%
set InputDrive=%2
set InputDir=%3
set OutputDrive=%4
set OutputDir=%5
set gdalDir=%6
set IlwDir=%7
set UtilDir=%8

cd\
%OutputDrive%
cd %OutputDir%

echo // import Goes 11, 10.7 channel

copy %InputDrive%\%InputDir%\L-000-MSG2__-GOES11______-10_7_135W-00000?___-%shortfilename1%00-C_ %OutputDrive%\%OutputDir%

"%UtilDir%\xritdecompress.exe" "%OutputDrive%\%OutputDir%\L-000-MSG2__-GOES11______-10_7_135W-000001___-%shortfilename1%00-C_"
"%UtilDir%\xritdecompress.exe" "%OutputDrive%\%OutputDir%\L-000-MSG2__-GOES11______-10_7_135W-000002___-%shortfilename1%00-C_"
"%UtilDir%\xritdecompress.exe" "%OutputDrive%\%OutputDir%\L-000-MSG2__-GOES11______-10_7_135W-000003___-%shortfilename1%00-C_"
"%UtilDir%\xritdecompress.exe" "%OutputDrive%\%OutputDir%\L-000-MSG2__-GOES11______-10_7_135W-000004___-%shortfilename1%00-C_"
"%UtilDir%\xritdecompress.exe" "%OutputDrive%\%OutputDir%\L-000-MSG2__-GOES11______-10_7_135W-000005___-%shortfilename1%00-C_"
"%UtilDir%\xritdecompress.exe" "%OutputDrive%\%OutputDir%\L-000-MSG2__-GOES11______-10_7_135W-000006___-%shortfilename1%00-C_"
"%UtilDir%\xritdecompress.exe" "%OutputDrive%\%OutputDir%\L-000-MSG2__-GOES11______-10_7_135W-000007___-%shortfilename1%00-C_"

"%UtilDir%\joinmsg.exe" "L-000-MSG2__-GOES11______-10_7_135W-000001___-%shortfilename1%00-__" %OutputDrive%\%OutputDir%\
"%UtilDir%\unpack.exe" "L-000-MSG2__-GOES11______-10_7_135W-000001___-%shortfilename1%00-__.xyz"

"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\goesw107:=map('%OutputDrive%\%OutputDir%\L-000-MSG2__-GOES11______-10_7_135W-000001___-%shortfilename1%00-__.unpacked',genras,Convert,2816,0,Int,2,Swap)

"%IlwDir%\ilwis.exe" -C setgrf %OutputDrive%\%OutputDir%\goesw107.mpr %UtilDir%\goesw_4.grf 
"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\goesw107s.mpr{dom=image;vr=0:255}:=MapStretchLinear(%OutputDrive%\%OutputDir%\goesw107,1:1023,image)
"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\goesw107ss.mpr{dom=image;vr=0:255}:=MapStretchLinear(%OutputDrive%\%OutputDir%\goesw107s,40:230,image)

echo // import Goes 13, 10.7 channel

copy %InputDrive%\%InputDir%\L-000-MSG2__-GOES13______-10_7_075W-00000?___-%shortfilename1%00-C_ %OutputDrive%\%OutputDir%

"%UtilDir%\xritdecompress.exe" "%OutputDrive%\%OutputDir%\L-000-MSG2__-GOES13______-10_7_075W-000001___-%shortfilename1%00-C_"
"%UtilDir%\xritdecompress.exe" "%OutputDrive%\%OutputDir%\L-000-MSG2__-GOES13______-10_7_075W-000002___-%shortfilename1%00-C_"
"%UtilDir%\xritdecompress.exe" "%OutputDrive%\%OutputDir%\L-000-MSG2__-GOES13______-10_7_075W-000003___-%shortfilename1%00-C_"
"%UtilDir%\xritdecompress.exe" "%OutputDrive%\%OutputDir%\L-000-MSG2__-GOES13______-10_7_075W-000004___-%shortfilename1%00-C_"
"%UtilDir%\xritdecompress.exe" "%OutputDrive%\%OutputDir%\L-000-MSG2__-GOES13______-10_7_075W-000005___-%shortfilename1%00-C_"
"%UtilDir%\xritdecompress.exe" "%OutputDrive%\%OutputDir%\L-000-MSG2__-GOES13______-10_7_075W-000006___-%shortfilename1%00-C_"
"%UtilDir%\xritdecompress.exe" "%OutputDrive%\%OutputDir%\L-000-MSG2__-GOES13______-10_7_075W-000007___-%shortfilename1%00-C_"

"%UtilDir%\joinmsg.exe" "L-000-MSG2__-GOES13______-10_7_075W-000001___-%shortfilename1%00-__" %OutputDrive%\%OutputDir%\
"%UtilDir%\unpack.exe" "L-000-MSG2__-GOES13______-10_7_075W-000001___-%shortfilename1%00-__.xyz"

"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\goese107:=map('%OutputDrive%\%OutputDir%\L-000-MSG2__-GOES13______-10_7_075W-000001___-%shortfilename1%00-__.unpacked',genras,Convert,2816,0,Int,2,Swap)

"%IlwDir%\ilwis.exe" -C setgrf %OutputDrive%\%OutputDir%\goese107.mpr %UtilDir%\goese_4.grf 
"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\goese107s.mpr{dom=image;vr=0:255}:=MapStretchLinear(%OutputDrive%\%OutputDir%\goese107,1:1023,image)
"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\goese107ss.mpr{dom=image;vr=0:255}:=MapStretchLinear(%OutputDrive%\%OutputDir%\goese107s,40:230,image)

echo // import MSG2, 10.7 channel

copy %InputDrive%\%InputDir%\L-000-MSG2__-MSG2________-IR_108___-00000?___-%shortfilename1%15-C_ %OutputDrive%\%OutputDir%

"%UtilDir%\xritdecompress.exe" "%OutputDrive%\%OutputDir%\L-000-MSG2__-MSG2________-IR_108___-000001___-%shortfilename1%15-C_"
"%UtilDir%\xritdecompress.exe" "%OutputDrive%\%OutputDir%\L-000-MSG2__-MSG2________-IR_108___-000002___-%shortfilename1%15-C_"
"%UtilDir%\xritdecompress.exe" "%OutputDrive%\%OutputDir%\L-000-MSG2__-MSG2________-IR_108___-000003___-%shortfilename1%15-C_"
"%UtilDir%\xritdecompress.exe" "%OutputDrive%\%OutputDir%\L-000-MSG2__-MSG2________-IR_108___-000004___-%shortfilename1%15-C_"
"%UtilDir%\xritdecompress.exe" "%OutputDrive%\%OutputDir%\L-000-MSG2__-MSG2________-IR_108___-000005___-%shortfilename1%15-C_"
"%UtilDir%\xritdecompress.exe" "%OutputDrive%\%OutputDir%\L-000-MSG2__-MSG2________-IR_108___-000006___-%shortfilename1%15-C_"
"%UtilDir%\xritdecompress.exe" "%OutputDrive%\%OutputDir%\L-000-MSG2__-MSG2________-IR_108___-000007___-%shortfilename1%15-C_"
"%UtilDir%\xritdecompress.exe" "%OutputDrive%\%OutputDir%\L-000-MSG2__-MSG2________-IR_108___-000008___-%shortfilename1%15-C_"


"%UtilDir%\joinmsg.exe" "L-000-MSG2__-MSG2________-IR_108___-000001___-%shortfilename1%15-__" %OutputDrive%\%OutputDir%\

"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\t108:=map('%OutputDrive%\%OutputDir%\L-000-MSG2__-MSG2________-IR_108___-000001___-%shortfilename1%15-__.xyz',genras,Convert,3712,0,Byte,1,NoSwap)
"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\msg108:=MapMirrorRotate(%OutputDrive%\%OutputDir%\t108.mpr,Rotate180)

"%IlwDir%\ilwis.exe" -C setgrf %OutputDrive%\%OutputDir%\msg108.mpr %UtilDir%\lritmsg.grf
"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\msg108s.mpr{dom=image;vr=0:255}:=MapStretchLinear(%OutputDrive%\%OutputDir%\msg108,20:175,image)


echo // import MET-7, 11.5 channel

copy %InputDrive%\%InputDir%\L-000-MTP___-MET7________-11_5_057E-00000?___-%shortfilename1%00-C_ %OutputDrive%\%OutputDir%

"%UtilDir%\xritdecompress.exe" "%OutputDrive%\%OutputDir%\L-000-MTP___-MET7________-11_5_057E-000001___-%shortfilename1%00-C_"
"%UtilDir%\xritdecompress.exe" "%OutputDrive%\%OutputDir%\L-000-MTP___-MET7________-11_5_057E-000002___-%shortfilename1%00-C_"
"%UtilDir%\xritdecompress.exe" "%OutputDrive%\%OutputDir%\L-000-MTP___-MET7________-11_5_057E-000003___-%shortfilename1%00-C_"
"%UtilDir%\xritdecompress.exe" "%OutputDrive%\%OutputDir%\L-000-MTP___-MET7________-11_5_057E-000004___-%shortfilename1%00-C_"
"%UtilDir%\xritdecompress.exe" "%OutputDrive%\%OutputDir%\L-000-MTP___-MET7________-11_5_057E-000005___-%shortfilename1%00-C_"


"%UtilDir%\joinmsg.exe" "L-000-MTP___-MET7________-11_5_057E-000001___-%shortfilename1%00-__" %OutputDrive%\%OutputDir%\

"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\t115:=map('%OutputDrive%\%OutputDir%\L-000-MTP___-MET7________-11_5_057E-000001___-%shortfilename1%00-__.xyz',genras,Convert,2532,0,Byte,1,NoSwap)
"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\met7115:=MapMirrorRotate(%OutputDrive%\%OutputDir%\t115.mpr,Rotate180)

"%IlwDir%\ilwis.exe" -C setgrf %OutputDrive%\%OutputDir%\met7115.mpr %UtilDir%\met7_wv_ir.grf 
"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\met7115s.mpr{dom=image;vr=0:255}:=MapStretchLinear(%OutputDrive%\%OutputDir%\met7115,20:175,image)

echo // import MTSAT1R, 108 channel, 

copy %InputDrive%\%InputDir%\L-000-MSG2__-MTSAT1R_____-10_8_140E-00000?___-%shortfilename1%00-C_ %OutputDrive%\%OutputDir%

"%UtilDir%\xritdecompress.exe" "%OutputDrive%\%OutputDir%\L-000-MSG2__-MTSAT1R_____-10_8_140E-000001___-%shortfilename1%00-C_"
"%UtilDir%\xritdecompress.exe" "%OutputDrive%\%OutputDir%\L-000-MSG2__-MTSAT1R_____-10_8_140E-000002___-%shortfilename1%00-C_"
"%UtilDir%\xritdecompress.exe" "%OutputDrive%\%OutputDir%\L-000-MSG2__-MTSAT1R_____-10_8_140E-000003___-%shortfilename1%00-C_"
"%UtilDir%\xritdecompress.exe" "%OutputDrive%\%OutputDir%\L-000-MSG2__-MTSAT1R_____-10_8_140E-000004___-%shortfilename1%00-C_"
"%UtilDir%\xritdecompress.exe" "%OutputDrive%\%OutputDir%\L-000-MSG2__-MTSAT1R_____-10_8_140E-000005___-%shortfilename1%00-C_"
"%UtilDir%\xritdecompress.exe" "%OutputDrive%\%OutputDir%\L-000-MSG2__-MTSAT1R_____-10_8_140E-000006___-%shortfilename1%00-C_"


"%UtilDir%\joinmsg.exe" "L-000-MSG2__-MTSAT1R_____-10_8_140E-000001___-%shortfilename1%00-__" %OutputDrive%\%OutputDir%\

"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\mtsat1r108:=map('%OutputDrive%\%OutputDir%\L-000-MSG2__-MTSAT1R_____-10_8_140E-000001___-%shortfilename1%00-__.xyz',genras,Convert,2752,0,Byte,1,NoSwap)
"%IlwDir%\ilwis.exe" -C setgrf %OutputDrive%\%OutputDir%\mtsat1r108.mpr %UtilDir%\mtsat1r.grf 

"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\mtsat1r108inv:=254-mtsat1r108
"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\mtsat1r108s.mpr{dom=image;vr=0:255}:=MapStretchLinear(%OutputDrive%\%OutputDir%\mtsat1r108inv,0:200,image)

"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\w_ge.mpr{dom=Image;vr=0:255}:=MapResample(%OutputDrive%\%OutputDir%\goese107ss,'%UtilDir%\world6'.grf,bilinear)
"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\w_gw.mpr{dom=Image;vr=0:255}:=MapResample(%OutputDrive%\%OutputDir%\goesw107ss,'%UtilDir%\world6'.grf,bilinear)
"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\w_msg.mpr{dom=Image;vr=0:255}:=MapResample(%OutputDrive%\%OutputDir%\msg108s,'%UtilDir%\world6'.grf,bilinear)
"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\w_met7.mpr{dom=Image;vr=0:255}:=MapResample(%OutputDrive%\%OutputDir%\met7115s,'%UtilDir%\world6'.grf,bilinear)
"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\w_mtsat.mpr{dom=Image;vr=0:255}:=MapResample(%OutputDrive%\%OutputDir%\mtsat1r108s,'%UtilDir%\world6'.grf,bilinear)



"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\tir%shortfilename1%00:=MapGlue('%UtilDir%\world6'.grf,%OutputDrive%\%OutputDir%\w_mtsat,%OutputDrive%\%OutputDir%\w_met7,%OutputDrive%\%OutputDir%\w_msg,%OutputDrive%\%OutputDir%\w_ge,%OutputDrive%\%OutputDir%\w_gw,replace)



del t1*.*
del goese107.*
del goese107s.*
del goese107ss.*
del goesw107.*
del goesw107s.*
del goesw107ss.*
del msg108.*
del msg108s.*
del met7115.*
del met7115s.*
del mtsat1r108.*
del mtsat1r108inv.*
del mtsat1r108s.*
del L-000-MSG2__-*
del L-000-MTP___-*
del w_*.mp*
